### Method

# Gck Session create_object

#### Declaration [src]

    GckObject*
    gck_session_create_object (
      GckSession* self,
      GckAttributes* attrs,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Create a new PKCS#11 object. This call may block for an indefinite period.

#### Parameters

`attrs`

  Type: `GckAttributes`

  The attributes to create the object with.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GckObject`

The newly created object or `NULL` if an error occurred.

The caller of the method takes ownership of the data, and is responsible for freeing it.